Immediate ARI Data

Use this function to retrieve Availability and Rates for a specific requested stay period and a single rate code per request. The Immediate mode is intended for partners who don’t store data on their side and need ad-hoc responses—for example, querying a specific hotel, region, or other criteria in real time.

If you do store the data on your side and want to retrieve it in bulk, the bulk method will usually be the better option.

ℹ️

Note: The Immediate request returns availability and prices for the exact stay period requested, while taking into account applicable limitations and restrictions. Price values in this response represent the total price for the full requested stay, not a per-night rate.

Request

ElementAttributesDescriptionExample
Authenticationusername, password<Authentication username="Test" password="3657488" />
AuthenticationMinimumNightsUse this attribute to get the minimum nights value. Options: YES, NO. If you don't use this attribute then it's like using "NO".MinimumNights="YES"
HotelIDHotel id="sandbox"
AreaIDThe values are custom, and they can be agreed with Minihotel prior to starting the integration.Area id="US"; Area id="Paris"
DateRangefrom, to<DateRange from="2015-06-28" to="2015-06-30" />
Guestsadults, child, babies<Guests adults="2" child="1" babies="0" />
AgentidAgent id is used in case there is need of agent filtering. As a partner, you are also considered as an agent.<Agent id="Expedia" />
RoomTypes RoomTypeidThis is an optional parameter. You can omit it (not using the parameter is the same as using the *ALL*value).
Special Values:
*MIN*- Get info for the lowest available rate.
The Response will include one room type only.
*ALL* - Get all room types.
<RoomTypes> <RoomType id="*MIN*" /> </RoomTypes>

<RoomTypes> <RoomType id="DBL" /> </RoomTypes>
PricesrateCode rateCode - The rate code value can be any value configured in the hotel settings (e.g., "USD", "EUR", "STD", etc.). This value is Mandatory and cannot be left empty. The request supports one rate code per call.<Prices rateCode="USD"> <Price boardCode="BB" /> </Prices>/
PricesPriceboardCodeboardCode - The board / meal arrangement code. This value is mandatory and cannot be left empty.
Use*ALL* to get all the available codes.
When*MIN*board code is specified, the minimal boards are filtered for each room type.
<Prices rateCode="EUR"> <Price boardCode="*ALL*" /> </Prices>/

ℹ️

Note: The rateCode attribute determines the currency. The codes are custom. In some cases the rate code has a similar value as a currency (eg. "USD"), but in other cases it may be a code such as "Standard", "Hotdeal" etc. The currency itself for any rate, is determined inside the Minihotel settings.

ℹ️

Note: Multiple rate codes are not supported in a single query, but you can submit multiple requests to retrieve several rate codes.

🚧

Note: Use either Hotel id or Area id. If you use both of them the system will ignore the area element.


Request Example - By Hotel ID:

<?xml version="1.0" encoding="UTF-8" ?>
<!-- Mini Hotel - Availability and Rates - Request -->
<AvailRaterq>
<Authentication username="Test" password="3657488" />
<Hotel id="sandbox" />
<DateRange from="2024-06-18" to="2024-06-21" />
<Guests adults="2" child="" babies="" />
<RoomTypes>
<RoomType id="*ALL*" />
</RoomTypes>
<Prices rateCode="USD">
<Price boardCode="*ALL*" />
</Prices>
</AvailRaterq>

Response Example:

<?xml version="1.0" encoding="UTF-8"?>
<AvailRaters>
    <Hotel id="sandbox" Name_h="Test Hotel MiniHotel" Name_e="Test Hotel MiniHotel" Currency="USD" />
    <DateRange from="2024-06-18" to="2024-06-21" />
    <Guests adults="2" child="0" babies="0" />
    <RoomType id="2BEDAPT" Name_h="Two bedroom apartment" Name_e="Two bedroom apartment">
        <Inventory Allocation="5" maxavail="5" />
        <price board="BB" boardDesc="BB" value="352.50" value_nrf="317.25" />
        <price board="FB" boardDesc="Full Board" value="652.50" value_nrf="587.25" />
        <price board="HB" boardDesc="Half Board" value="652.50" value_nrf="587.25" />
        <price board="RO" boardDesc="RO" value="202.50" value_nrf="182.25" />
    </RoomType>
    <RoomType id="DBL" Name_h="Double room" Name_e="Double room">
        <Inventory Allocation="8" maxavail="8" />
        <price board="BB" boardDesc="BB" value="352.50" value_nrf="317.25" />
        <price board="FB" boardDesc="Full Board" value="652.50" value_nrf="587.25" />
        <price board="HB" boardDesc="Half Board" value="652.50" value_nrf="587.25" />
        <price board="RO" boardDesc="RO" value="202.50" value_nrf="182.25" />
    </RoomType>
    <RoomType id="Executive" Name_h="Executive Room" Name_e="Executive Room">
        <Inventory Allocation="1" maxavail="1" />
        <price board="BB" boardDesc="BB" value="352.50" value_nrf="317.25" />
        <price board="FB" boardDesc="Full Board" value="652.50" value_nrf="587.25" />
        <price board="HB" boardDesc="Half Board" value="652.50" value_nrf="587.25" />
        <price board="RO" boardDesc="RO" value="202.50" value_nrf="182.25" />
    </RoomType>
</AvailRaters>

Request Example - By Area ID: (You may use id "US")

<?xml version="1.0" encoding="UTF-8" ?>
<!-- Mini Hotel - Availability and Rates - Request -->
<AvailRaterq>
<Authentication username="Test" password="3657488" />
<Area id="US" Currency="USD" />
<DateRange from="2024-06-17" to="2024-06-20" />
<Guests adults="2" child="" babies="" />
<RoomTypes>
<RoomType id="*ALL*" />
</RoomTypes>
<Prices rateCode="USD">
<Price boardCode="*ALL*" />
</Prices>
</AvailRaterq>

Response Example:

<?xml version="1.0" encoding="UTF-8"?>
<AvailRaters>
    <Hotel id="testhotel" Name_h="Test Hotel MiniHotel" Name_e="Test Hotel MiniHotel" Currency="USD" />
    <CancellPol Full="0002" OneNight="0007" />
    <DateRange from="2024-06-17" to="2024-06-20" />
    <Guests adults="2" child="0" babies="0" />
    <RoomType id="DBL" Name_h="Double room" Name_e="Double room">
        <Inventory Allocation="9" maxavail="9" />
        <price board="BB" boardDesc="BB" value="900" value_nrf="810.00" />
        <price board="FB" boardDesc="Full Board" value="1200" value_nrf="1080.00" />
        <price board="HB" boardDesc="Half Board" value="1200" value_nrf="1080.00" />
    </RoomType>
</AvailRaters>
<AvailRaters>
    <Hotel id="sandbox" Name_h="Test Hotel MiniHotel" Name_e="Test Hotel MiniHotel" Currency="USD" />
    <DateRange from="2024-06-17" to="2024-06-20" />
    <Guests adults="2" child="0" babies="0" />
    <RoomType id="2BEDAPT" Name_h="Two bedroom apartment" Name_e="Two bedroom apartment">
        <Inventory Allocation="5" maxavail="5" />
        <price board="BB" boardDesc="BB" value="352.50" value_nrf="317.25" />
        <price board="FB" boardDesc="Full Board" value="652.50" value_nrf="587.25" />
        <price board="HB" boardDesc="Half Board" value="652.50" value_nrf="587.25" />
        <price board="RO" boardDesc="RO" value="202.50" value_nrf="182.25" />
    </RoomType>
    <RoomType id="DBL" Name_h="Double room" Name_e="Double room">
        <Inventory Allocation="8" maxavail="8" />
        <price board="BB" boardDesc="BB" value="352.50" value_nrf="317.25" />
        <price board="FB" boardDesc="Full Board" value="652.50" value_nrf="587.25" />
        <price board="HB" boardDesc="Half Board" value="652.50" value_nrf="587.25" />
        <price board="RO" boardDesc="RO" value="202.50" value_nrf="182.25" />
    </RoomType>
    <RoomType id="Executive" Name_h="Executive Room" Name_e="Executive Room">
        <Inventory Allocation="1" maxavail="1" />
        <price board="BB" boardDesc="BB" value="352.50" value_nrf="317.25" />
        <price board="FB" boardDesc="Full Board" value="652.50" value_nrf="587.25" />
        <price board="HB" boardDesc="Half Board" value="652.50" value_nrf="587.25" />
        <price board="RO" boardDesc="RO" value="202.50" value_nrf="182.25" />
    </RoomType>
</AvailRaters>

Response Explanation

ElementAttributeDescription
HotelidHotel's unique id code
HotelName_hHotel name. It may contain any language, but it is basically dedicated for the local language (according to the hotel's location)
HotelName_eHotel name. It may contain any language, but it's basically dedicated for English
HotelCurrencyThe currency code for the prices returned in the response.
InventoryAllocationNumber of available rooms
InventorymaxavailThe total number of rooms
PriceboardCode Meal arrangement
PriceboardDescDescription of Meal arrangement
PricevalueThe regular price value
Pricevalue_nrfThe non refundable price value. Note: The non refundable factor is set in the Minihotel system settings, per each portal/agent.